# -*- coding: utf-8 -*-
"""
Created on Tue Mar 15 15:49:44 2016

@author: student_pd1

"""



def parameter2nifti(parameter_name):
    
    import nibabel as nib
    import numpy as np
    
    parameter=np.loadtxt(parameter_name)
    if (len(np.shape(parameter)) ==1):        
        parameter=parameter[np.newaxis]
        parameter=np.transpose(parameter)
    
    data=np.zeros((1,1,np.shape(parameter)[1],np.shape(parameter)[0]))
    
    for i in xrange(np.shape(data)[2]):
        for j in xrange(np.shape(data)[3]):
            data[0,0,i,j]=parameter[j,i]
        
    new_image = nib.Nifti1Image(data, affine=np.eye(4))
   
    
    nib.save(new_image,parameter_name+'.nii.gz')
    
    
    
